Subject: Re: bug#52417: Mark ring navigation could be two-way

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 Dec 2021 04:17:38 +0300

On 11.12.2021 00:20, ndame via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> Other tools has similar features like the mark ring and they
> provide two-way navigation, so you can go back to some previous
> position to check something, and then you can go forward in the
> ring to get back to a more recent position or the latest position
> if you want.
> 
> Emacs could have this too by providing a command which allows
> moving forward in the mark ring.

FWIW, we've recently added xref-go-forward, bound to 'C-M-,', which 
pairs with xref-go-back (which was renamed at the same time), bound to 
'M-,'.

A fair number of commands both push to mark ring and call 
xref-push-marker-stack, so you might find this useful.